# No Man's Sky 5.2.6
# BID: 9761E793CBE5895F

unsafeCheck: true

MASTER_WRITE:
# Redirect DR frametime target to MAIN+0x4962F00
  -
    type: bytes
    main_offset: 0x1F9C5C8
    value_type: uint32
    value: 0xD503201F
  -
    type: bytes
    main_offset: 0x1F9C5D4
    value_type: uint32
    value: 
      - 0xD0014E32
      - 0xB9400408
      - 0xBD4F0240
  # default value
  -
    type: bytes
    main_offset: 0x4962F00
    value_type: float
    value: 33.3333333333
ALL_FPS:
  -
    type: evaluate_write
    address: [MAIN, 0x4962F00]
    value_type: float
    value: FRAMETIME_TARGET